\documentclass{standalone}

\usepackage{pgf,tikz,pgfplots}
\pgfplotsset{compat=1.15}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\begin{axis}[
x=2cm,y=0.5cm,
axis lines=middle,
ymajorgrids=true,
xmajorgrids=true,
xmin=-1.25,
xmax=1.25,
ymin=-2,
ymax=6,
xtick={-1,-0.5,...,1},
ytick={-2,0,...,6},]
\clip(-1.25,-2) rectangle (1.25,6);
\draw[line width=1.5pt,color=H1,smooth,samples=100,domain=-7.23:7.23] plot(\x,{3*(\x)+1});
\end{axis}
\end{tikzpicture}
\end{document}